:root {
    --small-font: 12px;
    --normal-font: 14px;
    --large-font: 16px;
    --x-large-font: 18px;
    --base: #070d16;
    --primary: #131c29;
    --secondary: #202a39;
    --secondary-hover: #263041;
    --tertiary: #93acd3;
    --red: #ff0000;
    --red-dark: #800000;
    --blue: #2283f6;
    --gold: #efc32f;
    --gold-light: #ffdc68;
    --gold-dark: #957301;

    --blue-theme: #0037fe;
    --blue-theme-dark: #011a71;

    --green-dark2: #101317;
    --green-dark: #171e26;
    --green: #036967;
    --green2: #29323c;
    --green-hover: #254340;
    --green-light: #0dbfbb;

    --btn-green: #00bb2b;
    --btn-yellow: #ffc107;
    --btn-red: #dc3545;
}

body {
    background-color: var(--green-dark2);
    font-family: 'PT Sans', sans-serif;
    padding: 0;
    margin: 0;
    letter-spacing: .75px;
    color: #fff;
    line-height: 1.6;
}

html {
    scroll-behavior: smooth;
}

a {
    color: #fff;
    text-decoration: none;
    font-weight: 700;
}

a:visited {
    color: #fff;
}

a:active {
    color: #fff;
}

h1{
    text-align: center;
    color: var(--gold-dark);
    text-shadow: 0 0 1px #fff;
    font-size: 24px;
}

p {
    margin: 0;
}

img {
    display: block;
    margin: 0 auto;
    width: 100%;
}

.bold {
    color: red;
    font-weight: 700;
}

* {
    box-sizing: border-box;
}

.center {
    text-align: center;
}

.clear {
    clear: both;
}

.container {
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
}

.sticky {
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    -webkit-box-shadow: 0px 8px 8px -7px #000000, 5px 5px 15px 5px rgb(0 0 0 / 0%);
    box-shadow: 0px 8px 8px -7px #000000, 5px 5px 15px 5px rgb(0 0 0 / 0%);
    z-index: 9;
}

.sticky img {
    border-radius: 0 0 10px 10px;
}

.logo {
    max-width: 500px;
    width: 100%;
    margin: 0 auto;
}

.provider_logo {
    max-width: 200px;
    margin: 0 auto;
}

.menu-header {
    font-weight: 700;
    width: 100%;
    margin: 0 auto;
    text-align: center;
}

.menu-left,
.menu-right {
    width: 50%;
    float: left;
}

.menu-button-left,
.menu-button-right {
    width: 50%;
    float: left;
    position: relative;
    /* margin: 1px; */
}

.menu-list-left,
.menu-list-right {
    /* border-radius: 8px; */
    background: #303030;
    margin: 8px;
    padding: 5px 0;
    text-decoration: none;
    -webkit-box-shadow: 0px 8px 8px -7px #000000, 5px 5px 15px 5px rgb(0 0 0 / 0%);
    box-shadow: 0px 8px 8px -7px #000000, 5px 5px 15px 5px rgb(0 0 0 / 0%);
    cursor: pointer;
    /* background: linear-gradient(to bottom, #404040 5%, #1c1c1c 100%); */
    /* background: linear-gradient(to bottom, #b86cfb 0%, #5b1699 100%); */
    
    background: linear-gradient(to bottom, var(--gold-dark) 0%, var(--base) 100%);
    background-color: var(--green-light);
    border: 1px solid var(--gold-dark);
}

.menu-list-left:hover,
.menu-list-right:hover {
    background: linear-gradient(to bottom, var(--gold) 0%, var(--gold-dark) 100%);
    border-radius: 10px;
}

.menu-list-left{
    border-radius: 4px 0 0 4px;
}

.menu-list-right{
    border-radius: 0 4px 4px 0;
}

.menu-list-daftar {
    border-radius: 8px;
    background: #303030;
    margin: 10px;
    padding: 10px;
    text-decoration: none;
    -webkit-box-shadow: 0px 8px 8px -7px #000000, 5px 5px 15px 5px rgb(0 0 0 / 0%);
    box-shadow: 0px 8px 8px -7px #000000, 5px 5px 15px 5px rgb(0 0 0 / 0%);
    cursor: pointer;
    /* background: linear-gradient(to bottom, #fcff00 5%, #ffc800 100%); */
    background: linear-gradient(to bottom, var(--gold) 5%, var(--gold-dark) 100%);
    background-color: #fcff00;
    color: #fff;
    box-shadow: 0 20px 35px rgba(0, 0, 0, 0.3);
    box-shadow: 0px 0px 20px var(--gold);
}

.frame {
    padding: 10px;
    border-radius: 10px;
}

.item-frame {
    width: 20%;
    float: left;
}

.item-img {
    margin: 5px;
    border-radius: 10px;
    padding: 3px;
}

.nyedot {
    position: absolute;
    padding: 5px;
    z-index: 11;
    opacity: 0.5;
    display: none;
    width: 100%;
}

.item-img-game {
    /* Border: 8px solid #5b1699;
    background-color: #5b1699; */
    border-bottom: none;
    border-radius: 8px 8px 0 0;
    /* width: 100%; */
    width: 220px;
    height: 220px;
    Border: 8px solid var(--gold-dark);
    background-color: var(--gold-dark);
}

.green {
    background-color: var(--btn-green);
}

.percent {
    height: 27px;
    display: flex;
    overflow: hidden;
    line-height: 0;
    font-size: .75rem;
    background-color: #e9ecef;
    position: relative;
    z-index: 1;
    /* border-right: 8px solid #5b1699;
    border-left: 8px solid #5b1699; */
    margin: 0 auto;
    border-right: 8px solid var(--gold-dark);
    border-left: 8px solid var(--gold-dark);
}

.percent p {
    z-index: 15;
    position: absolute;
    text-align: center;
    width: 100%;
    font-size: 14px;
    font-weight: bold;
    transform: translateY(14px);
    color: black;
}

.percent-bar {
    background-image: linear-gradient(45deg, rgba(255, 255, 255, .15)25%, transparent 25%, transparent 50%, rgba(255, 255, 255, .15)50%, rgba(255, 255, 255, .15)75%, transparent 75%, transparent);
    background-size: 1rem 1rem;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    -ms-flex-pack: center;
    justify-content: center;
    overflow: hidden;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    transition: width.6s ease;
    -webkit-animation: progress-bar-stripes 1s linear infinite;
    animation: progress-bar-stripes 1s linear infinite;
    z-index: 10;
}

.event {
    letter-spacing: .2px;
    font-size: 10px;
    padding: 3px 0;
    font-weight: 700;
    z-index: 11;
    border-right: 8px solid var(--green-light);
    border-left: 8px solid var(--green-light);
}

.percent_modal {
    height: 32px;
    display: flex;
    overflow: hidden;
    line-height: 0;
    font-size: .75rem;
    background-color: #e9ecef;
    position: relative;
    z-index: 1;
    border-radius: 0 0 5px 5px;
    margin: 0 auto;
}

.percent_modal p {
    z-index: 15;
    position: absolute;
    text-align: center;
    width: 100%;
    font-size: 16px;
    font-weight: 700;
    transform: translateY(14px);
    color: black;
}

.pc-yellow {
    border: 2px solid #ffc107;
}

.pc-green {
    border: 2px solid var(--btn-green);
}

.nama_game {
    font-weight: 500;
    width: 100%;
    height: 60px;
    z-index: 11;
    font-size: 16px;
    padding: 3px 0;
    /* border-right: 8px solid #5b1699;
    border-left: 8px solid #5b1699; */
    /* background: #5b1699; */
    /* border-right: 8px solid var(--green);
    border-left: 8px solid var(--green); */
    background: var(--gold-dark);
}

.see {
    /* background: #5b1699;
    border: 8px solid #5b1699; */
    border-radius: 0 0 8px 8px;
    border-top: none;
    background:  var(--gold-dark);
    border: 8px solid var(--gold-dark);
}

#pp_yes_no {
    display: none;
}

.pp_yesnobs {
    display: none;
}

.pp_no250_gates_of_olympus,
.pp_no250_starlight_princess,
.pp_no250_fruit_party,
.pp_no250_sweet_bonanza_xmas,
.pp_no250_wild_west_gold,
.pp_no250_candy_village,
.pp_no250_the_hand_of_midas,
.pp_no250_5_lion_megaways,
.pp_no250_sweet_bonanza,
.pp_no250_christmas_carol_megaways,
.pp_no250_pyramid_bonanza,
.pp_no250_yum_yum_powerways,
.pp_no250_great_rhino_megaways,
.pp_no250_chicken_drop,
.pp_no250_power_of_thor,
.pp_no250_jewels_of_fortune,
.pp_no250_rise_of_samurai_megaways,
.pp_no250_bonanza_gold,
.pp_no250_release_the_kraken,
.pp_no250_hot_fiesta,
.pp_no250_star_bounty,
.pp_no250_curse_of_the_werewolf,
.pp_no250_lucky_lightning,
.pp_no250_mystic_chief,
.pp_no250_amazing_money_machine,
.pp_no250_sugar_rush,
.pp_no250_the_dog_house,
.pp_no250_aztec_gems,
.pp_no250_jokers_jewels,
.pp_no250_coffee_wild,
.taruhan1st250 {
    display: none;
}

.flipCard {
    text-align: center;
    perspective: 1000px;
    display: grid;
    transition-duration: 0.4s;
    transition-timing-function: ease-in-out;
    transform-style: preserve-3d;
}

.flipCard.boxes {
    display: grid;
    transition-duration: 0.6s;
    transition-timing-function: ease-in-out;
    transform-style: preserve-3d;
}

.flipCard.boxes.box {
    border-radius: 10px;
    grid-row: 1/2;
    grid-column: 1/2;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
}

.flipCard.boxes.box.front {
    transform: rotateY(0deg);
}

.flipCard.boxes.box.back {
    transform: rotateY(-180deg);
    padding: 2px;
}

.hover {
    transform: rotateY(-180deg);
    display: grid;
    transition-duration: 0.4s;
    transition-timing-function: ease-in-out;
    transform-style: preserve-3d;
}

.see-gray {
    background: #2e2e2e;
}

.lihat {
    /* background: linear-gradient(to bottom, #b86cfb 0%, #5b1699 100%); */
    background: linear-gradient(to bottom, var(--gold) 0%, var(--gold-dark) 100%);
    background-color: var(--gold-dark);
    border: 1px solid var(--gold-dark);
    border-radius: 8px;
    display: inline-block;
    cursor: pointer;
    color: #fff;
    font-size: 15px;
    width: 100%;
    font-weight: 700;
    padding: 6px;
    margin: 10px 0 2px 0;
    border-top: none;
    text-decoration: none;
    -webkit-box-shadow: 0px 8px 8px -7px #000000, 5px 5px 15px 5px rgb(0 0 0 / 0%);
    box-shadow: 0px 8px 8px -7px #000000, 5px 5px 15px 5px rgb(0 0 0 / 0%);
}

.lihat:hover {
    /* background: linear-gradient(to bottom, #b86cfb 0%, #5b1699 100%); */
    background: linear-gradient(to bottom, var(--gold-dark) 0%, var(--base) 100%);
}

.hijau {
    background: linear-gradient(to bottom, #29b549 5%, #009723 100%);
    background-color: #fcff00;
    border-radius: 8px;
    display: inline-block;
    cursor: pointer;
    color: #000;
    font-size: 15px;
    width: 100%;
    color: white;
    font-weight: 700;
    padding: 6px;
    margin: 10px 0 2px 0;
    border-top: none;
    text-decoration: none;
    -webkit-box-shadow: 0px 8px 8px -7px #000000, 5px 5px 15px 5px rgb(0 0 0 / 0%);
    box-shadow: 0px 8px 8px -7px #000000, 5px 5px 15px 5px rgb(0 0 0 / 0%);
}

.border-none {
    border: none;
    width: 100%;
    left: 0;
    bottom: 12px;
}

#warning {
    display: none;
}

.login {
    border-radius: 8px;
    display: inline-block;
    cursor: pointer;
    font-size: 15px;
    width: 100%;
    font-weight: 700;
    padding: 10px;
    margin: 10px 0 2px 0;
    border-top: none;
    border-width: 0;
    text-decoration: none;
    -webkit-box-shadow: 0px 8px 8px -7px #000000, 5px 5px 15px 5px rgb(0 0 0 / 0%);
    box-shadow: 0px 8px 8px -7px #000000, 5px 5px 15px 5px rgb(0 0 0 / 0%);
}

.lg-green {
    background: linear-gradient(to bottom, #00bb2b 5%, #008b20 100%);
    background-color: #00bb2b;
    color: #fff;
}

.lg-yellow {
    background: linear-gradient(to bottom, #fcff00 5%, #ffc800 100%);
    background-color: #fcff00;
    color: #000;
}

.frame-pola {
    border: 3px solid #000000;
    height: 100%;
    border-radius: 10px;
    padding: 5px;
    font-size: 14px;
    position: relative;
}

.green {
    background-color: var(--btn-green);
}

.yellow {
    background-color: #ffc107;
    color: #000;
}

.red {
    background-color: var(--btn-red);
}

.bg-gray {
    background: #2e2e2e;
    background-color: #2e2e2e;
    color: #858585;
}

.border-gray {
    border-color: #2e2e2e;
}

.border-gray-btn {
    background: #484848;
    background-color: #484848;
}

.status {
    font-size: 11px;
    padding: 3px 0;
}

.none {
    pointer-events: none;
}

.bola {
    width: 10px;
    height: 10px;
    margin-right: 5px;
}

.grayscale {
    filter: gray;
    -webkit-filter: grayscale(1);
    filter: grayscale(1);
}

.extragacor {
    width: 100px;
    position: absolute;
    z-index: 12;
    right: -12px;
    top: -6px;
    padding: 2px 5px;
    display: none;
}

.gcr_gates_of_olympus,
.gcr_starlight_princess {
    display: block;
}

.statusgacor {
    position: absolute;
    padding: 3px 15px 3px 15px;
    left: -5px;
    width: auto;
    text-align: Left;
    top: 0px;
    min-width: 126px;
    z-index: 11;
    font-weight: 700;
    -webkit-transform: skew(-20deg);
    -moz-transform: skew(-20deg);
    -o-transform: skew(-20deg);
    -moz-box-shadow: 0px 0px 4px rgba(0, 0, 0, 0.55);
    -khtml-box-shadow: 0px 0px 4px rgba(0, 0, 0, 0.55);
    -webkit-box-shadow: 0px 0px 4px rgb(0 0 0 / 55%);
    -o-box-shadow: 0px 0px 4px rgba(0, 0, 0, 0.55);
    border-radius: 3px 3px 3px 0;
}

.ribbonkecil {
    position: absolute;
    height: 15px;
    padding: 3px 0;
    background: #5a5a5a;
    left: -2px;
    border-radius: 2px 0 0 0;
    width: 32px;
    top: 23px;
    z-index: -10;
    -webkit-transform: skew(49deg);
    -moz-transform: skew(20deg);
    -o-transform: skew(20deg);
}

.miring {
    -webkit-transform: skew(20deg);
    -moz-transform: skew(20deg);
    -o-transform: skew(20deg);
}

.flow {
    box-shadow: 10px 0px 10px white;
    background: rgb(255, 255, 255);
    top: -3px;
    width: 100%;
    height: 24px;
    z-index: -1;
    position: absolute;
    -webkit-animation: flow 1.5s linear infinite;
    -moz-animation: flow 1.5s linear infinite;
    -webkit-transform: skew(-20deg);
    -moz-transform: skew(-20deg);
    -o-transform: skew(-20deg);
    background: -moz-linear-gradient(left, rgba(255, 255, 255, 0)0%, rgba(255, 255, 255, 0)1%, rgba(255, 255, 255, 1)100%);
    background: -webkit-gradient(linear, left top, right top, color-stop(0%, rgba(255, 255, 255, 0)), color-stop(1%, rgba(255, 255, 255, 0)), color-stop(100%, rgba(255, 255, 255, 0.75)));
    background: -webkit-linear-gradient(left, rgba(255, 255, 255, 0)0%, rgba(255, 255, 255, 0)1%, rgba(255, 255, 255, 1)100%);
    background: -o-linear-gradient(left, rgba(255, 255, 255, 0)0%, rgba(255, 255, 255, 0)1%, rgba(255, 255, 255, 1)100%);
    background: -ms-linear-gradient(left, rgba(255, 255, 255, 0)0%, rgba(255, 255, 255, 0)1%, rgba(255, 255, 255, 1)100%);
    background: linear-gradient(to right, rgba(255, 255, 255, 0)0%, rgba(255, 255, 255, 0)1%, rgba(255, 255, 255, 1)100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#00ffffff', endColorstr='#ffffff', GradientType=1);
}

#mg-list-right {
    margin-right: 0px;
}

.refresh-rtp {
    text-align: center;
}

.pulse {
    animation: pulse 1.8s infinite alternate;
    -webkit-animation: pulse 1.8s infinite alternate;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
}

.frame-modal {
    padding: 10px;
}

.pola-rtp {
    font-weight: 900;
}

.rate-modal {
    color: #000;
    border-radius: 5px 0 0 5px;
    padding: 0 10px;
}

.border-isi-modal {
    border: 3px solid;
    border-radius: 5px;
}

.modal-open {
    overflow: hidden
}

.modal {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    z-index: 1050;
    display: none;
    overflow: hidden;
    -webkit-overflow-scrolling: touch;
    outline: 0;
}

.modal.fade.modal-dialog {
    -webkit-transition: -webkit-transform.3s ease-out;
    - o-transition: -o-transform.3s ease-out;
    transition: transform.3s ease-out;
    -webkit-transform: translate(0, -25%);
    -ms-transform: translate(0, -25%);
    -o-transform: translate(0, -25%);
    transform: translate(0, -25%);
}

.modal.in.modal-dialog {
    -webkit-transform: translate(0, 0);
    -ms-transform: translate(0, 0);
    -o-transform: translate(0, 0);
    transform: translate(0, 0)
}

.modal-open.modal {
    overflow-x: auto;
    overflow-y: auto;
}

.modal-dialog {
    position: relative;
    width: auto;
    margin: 10px;
}

.modal-content {
    position: relative;
    background: #38333c;
    -webkit-background-clip: padding-box;
    background-clip: padding-box;
    border-radius: 6px;
    outline: 0;
    -webkit-box-shadow: 0 3px 9px rgba(0, 0, 0, .5);
    box-shadow: 0 3px 9px rgba(0, 0, 0, .5)
}

.modal-backdrop {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1040;
    background-color: #000;
}

.modal-backdrop.fade {
    filter: alpha(opacity=0);
    opacity: 0;
}

.modal-backdrop.in {
    filter: alpha(opacity=50);
    opacity: .8;
}

.modal-header {
    padding: 15px;
    border-bottom: 1px solid #e5e5e5;
}

.img{
    width: 165px;
    height: 165px;
}

.img-modal {
    border-radius: 5px 5px 0 0;
    border: 2px solid;
    width: 165px;
    height: 165px;
}

.petir-modal {
    position: absolute;
    width: 150%;
    top: -15px;
    left: -44px;
}

.close {
    background: linear-gradient(to bottom, #fcff00 5%, #ffc800 100%);
    font-weight: 700;
    top: -10px;
    right: -10px;
    position: absolute;
    font-size: 30px;
    border-radius: 8px;
    padding: 0 8px;
}

.modal-title {
    margin: 0;
    line-height: 1.42857143;
}

.modal-footer {
    padding: 15px;
    text-align: right;
    border-top: 1px solid #e5e5e5;
}

.modal-footer.btn-group.btn+.btn {
    margin-left: -1px
}

.modal-footer.btn-block+.btn-block {
    margin-left: 0;
}

.modal-scrollbar-measure {
    position: absolute;
    top: -9999px;
    width: 50px;
    height: 50px;
    overflow: scroll;
}

.isi-modal {
    width: 100%;
    padding: 10px;
}

.kiri-modal {
    width: 30%;
    float: left;
    position: relative;
}

.kanan-modal {
    width: 70%;
    float: left;
}

.frame-kanan-modal {
    margin-left: 10px;
}

.name-modal-game {
    font-weight: 700;
}

.star {
    max-width: 240px;
    position: absolute;
    width: 100%;
    top: -60px;
    left: -15px;
    z-index: 10;
}

.border-green {
    border-color: #00bb2b;
}

.border-yellow {
    border-color: #ffc107;
}

.bg-green {
    background-color: #00bb2b;
    border: 3px solid #00bb2b;
    color: #fff;
}

.bg-yellow {
    background-color: #ffc107;
    border: 3px solid #ffc107;
    color: #000;
}

.maxwin-green {
    border-radius: 0 5px 5px 0;
    border-right: 3px solid #00bb2b;
    border-top: 3px solid #00bb2b;
    border-bottom: 3px solid #00bb2b;
}

.maxwin-yellow {
    border-radius: 0 5px 5px 0;
    border-right: 3px solid #ffc107;
    border-top: 3px solid #ffc107;
    border-bottom: 3px solid #ffc107;
}

.text-green {
    color: #00bb2b;
}

.text-yellow {
    color: #ffc107;
}

.frame-rtp-green {
    font-size: 12px;
    border: 2px solid #00bb2b;
    padding: 5px 10px;
    border-radius: 5px;
}

.frame-rtp-yellow {
    font-size: 12px;
    border: 2px solid #ffc107;
    padding: 5px 10px;
    border-radius: 5px;
}

.rtp-live-frame {
    width: 100%;
    font-size: 30px;
    font-weight: 700;
    text-align: center;
    margin-bottom: 5px;
}

.rtp-live-green {
    border: 2px solid #00bb2b;
    border-radius: 5px;
}

.rtp-live-yellow {
    border: 2px solid #ffc107;
    border-radius: 5px;
}

.rtp-name {
    margin: 5px;
    border-radius: 2px;
}

.link {
    text-align: center;
    border-radius: 0 0 5px 5px;
    padding: 2px;
    font-weight: 700;
    margin-top: -2px;
}

.link-green {
    border: 2px solid #00bb2b;
}

.link-yellow {
    border: 2px solid #ffc107;
}

.noted-modal {
    font-size: 11px;
    text-align: center;
    color: white;
    margin-top: 10px;
    color: yellow;
}

.game-modal-green {
    margin: 0 0 5px 0;
    text-align: center;
    border: 2px solid #00bb2b;
    border-radius: 5px;
}

.game-modal-yellow {
    margin: 0 0 5px 0;
    text-align: center;
    border: 2px solid #ffc107;
    border-radius: 5px;
}

.pola-text {
    font-size: 12px;
}

.kiri-modal-kanan {
    display: none;
}

#name-game-last {
    display: none;
}

.flex-button-last {
    display: flex;
}

.button-last-kiri,
.button-last-kanan {
    width: 50%;
}

#persen-mobile {
    display: none;
}

.link-mobile {
    display: block;
    text-align: center;
    background: none;
    color: white;
    font-size: 14px;
    margin: 10px auto 0px auto;
    border-radius: 5px;
    font-weight: 200;
}

.frame-snackbar {
    background-color: red;
    padding: 12px 36px;
    border-radius: 8px 8px 0 0;
    -webkit-box-shadow: 0px 0px 5px 2px #000000, 5px 5px 15px 5px rgb(0 0 0 / 0%);
    box-shadow: 0px 0px 5px 2px #000000, 5px 5px 15px 5px rgb(0 0 0 / 0%);
}

#snackbar {
    visibility: hidden;
    min-width: 250px;
    color: #fff;
    text-align: center;
    border-radius: 2px;
    position: fixed;
    z-index: 1;
    right: 50%;
    transform: translate(50%, -0%);
    bottom: 0px;
    font-size: 17px;
}

#snackbar.show {
    visibility: visible;
    -webkit-animation: fadeinBottom 0.5s;
    animation: fadeinBottom 0.5s;
}

#snackbar.hide {
    visibility: visible;
    -webkit-animation: fadeoutBottom 0.5s;
    animation: fadeoutBottom 0.5s;
}

.frame-snackbar-modal-pp {
    background-color: red;
    padding: 9px 5px 10px 5px;
    border-radius: 0 0 8px 8px;
}

#snackbar-modal-pp {
    width: 90%;
    visibility: hidden;
    min-width: 250px;
    color: #fff;
    text-align: center;
    border-radius: 2px;
    z-index: 1;
    font-size: 12px;
    position: absolute;
    bottom: 0;
    left: 50%;
    z-index: -1;
    transform: translate(-50%, 100%);
}

#snackbar-modal-pp.show-modal-pp {
    visibility: visible;
    -webkit-animation: fadeinTop 0.5s;
    animation: fadeinTop 0.5s;
}

#snackbar-modal-pp.hide-modal-pp {
    visibility: visible;
    -webkit-animation: fadeoutTop 0.5s;
    animation: fadeoutTop 0.5s;
}

.frame-snackbar-modal-pg {
    background-color: red;
    padding: 9px 5px 10px 5px;
    border-radius: 0 0 8px 8px;
}

#snackbar-modal-pg {
    width: 90%;
    visibility: hidden;
    min-width: 250px;
    color: #fff;
    text-align: center;
    border-radius: 2px;
    z-index: 1;
    font-size: 12px;
    position: absolute;
    bottom: 0;
    left: 50%;
    z-index: -1;
    transform: translate(-50%, 100%);
}

#snackbar-modal-pg.show-modal-pg {
    visibility: visible;
    -webkit-animation: fadeinTop 0.5s;
    animation: fadeinTop 0.5s;
}

#snackbar-modal-pg.hide-modal-pg {
    visibility: visible;
    -webkit-animation: fadeoutTop 0.5s;
    animation: fadeoutTop 0.5s;
}

.frame-snackbar-modal-haba {
    background-color: red;
    padding: 9px 5px 10px 5px;
    border-radius: 0 0 8px 8px;
}

#snackbar-modal-haba {
    width: 90%;
    visibility: hidden;
    min-width: 250px;
    color: #fff;
    text-align: center;
    border-radius: 2px;
    z-index: 1;
    font-size: 12px;
    position: absolute;
    bottom: 0;
    left: 50%;
    z-index: -1;
    transform: translate(-50%, 100%);
}

#snackbar-modal-haba.show-modal-haba {
    visibility: visible;
    -webkit-animation: fadeinTop 0.5s;
    animation: fadeinTop 0.5s;
}

#snackbar-modal-haba.hide-modal-haba {
    visibility: visible;
    -webkit-animation: fadeoutTop 0.5s;
    animation: fadeoutTop 0.5s;
}

.footer{
    text-align:center;
    padding:20px;
}

footer {
    display: flex;
    padding: 20px 20px 50px 20px;
    align-items: center;
    justify-items: center;
    text-align: center;
    margin-bottom: 40px;
    background-color: var(--green-dark);
}

footer span {
    width: 100%;
}

#stickyBttn {
    position: fixed;
    left: 0;
    bottom: -10px;
    display: flex;
    width: 100%;
    align-items: center;
    justify-content: center;
    /* background-color: #efc32f; */
    /* background: var(--green2); */
    
    background: linear-gradient(to bottom, var(--gold-dark) 0%, var(--base) 100%);
    text-align: center;
}

#history h3 {
    text-align: center;
}

#stickyBttn a {
    flex-basis: 25%;
    padding: 10px 0;
    /* border-right: 1px solid #b86cfb;
    border-left: 1px solid #b86cfb;
    color: #b86cfb; */
    border-right: 1px solid var(--gold);
    border-left: 1px solid var(--gold);
    color: var(--gold);
}

.bttnIcon {
    width: 20px;
}



/* keyframe */
@-webkit-keyframes flow {
    0% {
        left: -60px;
        opacity: 0;
    }

    50% {
        left: 0px;
        opacity: 0.7;
    }

    75% {
        left: 14px;
        opacity: 0.3;
    }

    100% {
        left: 16px;
        opacity: 0;
    }
}

@keyframes flow {
    0% {
        left: -60px;
        opacity: 0;
    }

    50% {
        left: 0px;
        opacity: 0.7;
    }

    75% {
        left: 14px;
        opacity: 0.3;
    }

    100% {
        left: 16px;
        opacity: 0;
    }
}

@-webkit-keyframes pulse {
    0% {
        -webkit-transform: scale3d(1, 1, 1);
        transform: scale3d(1, 1, 1);
    }

    50% {
        -webkit-transform: scale3d(1.05, 1.05, 1.05);
        transform: scale3d(1.05, 1.05, 1.05);
    }

    100% {
        -webkit-transform: scale3d(1, 1, 1);
        transform: scale3d(1, 1, 1);
    }
}

@keyframes pulse {
    0% {
        -webkit-transform: scale3d(1, 1, 1);
        transform: scale3d(1, 1, 1);
    }

    50% {
        -webkit-transform: scale3d(1.05, 1.05, 1.05);
        transform: scale3d(1.05, 1.05, 1.05);
    }

    100% {
        -webkit-transform: scale3d(1, 1, 1);
        transform: scale3d(1, 1, 1);
    }
}

@-webkit-keyframes progress-bar-stripes {
    0% {
        background-position-x: 1rem;
    }
}

@keyframes progress-bar-stripes {
    0% {
        background-position-x: 1rem;
    }
}

@-webkit-keyframes fadeinTop {
    from {
        bottom: 20px;
        opacity: 0;
    }

    to {
        bottom: 0px;
        opacity: 1;
    }
}

@keyframes fadeinTop {
    from {
        bottom: 20px;
        opacity: 0;
    }

    to {
        bottom: 0px;
        opacity: 1;
    }
}

@-webkit-keyframes fadeoutTop {
    from {
        bottom: 0;
        opacity: 1;
    }

    to {
        bottom: 20px;
        opacity: 0;
    }
}

@keyframes fadeoutTop {
    from {
        bottom: 0;
        opacity: 1;
    }

    to {
        bottom: 20px;
        opacity: 0;
    }
}

@-webkit-keyframes fadeinBottom {
    from {
        bottom: -20px;
        opacity: 0;
    }

    to {
        bottom: 0px;
        opacity: 1;
    }
}

@keyframes fadeinBottom {
    from {
        bottom: -20px;
        opacity: 0;
    }

    to {
        bottom: 0px;
        opacity: 1;
    }
}

@-webkit-keyframes fadeoutBottom {
    from {
        bottom: 0px;
        opacity: 1;
    }

    to {
        bottom: -20px;
        opacity: 0;
    }
}

@keyframes fadeoutBottom {
    from {
        bottom: 0px;
        opacity: 1;
    }

    to {
        bottom: -20px;
        opacity: 0;
    }
}

/* media rules */
@media only screen and (max-width:1200px) {
    .item-frame {
        width: 25%;
    }
}

@media (min-width:992px) {
    .modal-lg {
        width: 900px;
    }
}

@media only screen and (max-width:800px) {
    .extragacor {
        width: 90px;
    }

    .hijau,
    .lihat {
        font-size: 14px;
    }

    .frame-pola {
        font-size: 12px;
    }

    .event {
        font-size: 8px;
    }
}

@media only screen and (max-width:780px) {
    .extragacor {
        width: 150px;
    }

    .item-frame {
        width: 50%;
    }

    .frame-pola {
        font-size: 16px;
    }

    .event {
        font-size: 10px;
    }

    #snackbar {
        width: 100%;
    }
}

@media (min-width:768px) {
    .modal-dialog {
        width: 600px;
        margin: 100% auto
    }

    .modal-content {
        -webkit-box-shadow: 0 5px 15px rgba(0, 0, 0, .5);
        box-shadow: 0 5px 15px rgba(0, 0, 0, .5)
    }

    .modal-sm {
        width: 300px
    }
}

@media (max-width:767px) {
    .modal-dialog {
        width: 600px;
        margin: 100% auto
    }
}

@media (max-width:658px) {
    .modal-dialog {
        width: 500px;
        margin: 100% auto;
    }

    .link {
        font-size: 12px;
    }

    .star {
        left: -31px;
        top: -50px;
    }

    .rtp-live-frame {
        font-size: 20px;
    }

    .game-modal-green {
        font-size: 12px;
    }

    .pola-text {
        font-size: 11px;
    }

    .img-modal {
        margin-top: 12px;
        width: 140px;
        height: 140px;
    }

    .game-modal-green,
    .game-modal-yellow {
        padding: 3px 0 2px 0;
    }
}

@media (max-width:560px) {
    .noted-modal {
        font-size: 9px;
    }

    .link-mobile {
        margin: 5px auto 2px auto;
    }

    .pola-text {
        margin-top: 3px;
    }

    #persen-dekstop {
        display: none;
    }

    #persen-mobile {
        display: flex;
        margin: 5px auto 0 7px;
        border-radius: 5px;
    }

    .pola-text {
        text-align: center;
    }

    .rate-game-mobile {
        font-size: 35px;
        line-height: 37px;
    }

    .maxwin-game-mobile {
        margin-top: -8px;
        font-weight: 800;
    }

    .kiri-modal-kiri {
        width: 45%;
    }

    .kiri-modal-kanan {
        width: 55%;
        display: block;
    }

    .kiri-modal {
        display: flex;
    }

    #name-modal-dekstop,
    #rtp-dekstop {
        display: none;
    }

    #close-mobile {
        display: block;
        margin: 8px 0 5px 0;
    }

    .img-modal {
        margin-top: 0;
        border-radius: 5px;
        width: 140px;
        height: 140px;
    }

    .modal-dialog {
        width: 350px;
        margin: 100% auto;
    }

    .kiri-modal,
    .kanan-modal {
        width: 100%;
    }

    .petir-modal {
        position: absolute;
        width: 68%;
        top: -30px;
        left: -38px;
    }

    .frame-kanan-modal {
        margin-left: 0;
    }

    .star {
        max-width: 240px;
        top: -95px;
        left: 58px;
    }

    .rtp-live-yellow,
    .rtp-live-green {
        border-radius: 5px;
        margin-left: 7px;
    }

    .link {
        display: none;
    }

    .name-modal-game {
        margin-left: 7px;
    }

    .modal {
        top: 53%;
    }

    .rtp-live-frame {
        font-size: 17px;
    }

    .rtp-name {
        margin: 3px;
    }

    .frame-rtp-green,
    .frame-rtp-yellow {
        padding: 3px 5px;
    }

    .frame-modal,
    .isi-modal {
        padding: 7px;
    }

    .game-modal-green,
    .game-modal-yellow {
        font-size: 11px;
    }

    .close {
        display: none;
    }
}

@media only screen and (max-width:500px) {
    .extragacor {
        width: 77px;
    }

    .menu-left,
    .menu-right {
        width: 100%;
        float: left;
    }

    #mg-list-right {
        margin-right: 10px;
    }

    .menu-left,
    .menu-right {
        margin-bottom: -10px;
    }

    .frame-pola {
        font-size: 14px;
    }

    .statusgacor {
        padding: 2px 10px 2px 10px;
    }

    .ribbonkecil {
        left: -1px;
        top: 22px;
    }

    #snackbar {
        font-size: 14px;
    }

    .frame-snackbar {
        padding: 16px;
    }
}

@media only screen and (max-width:475px) {
    .event {
        font-size: 8px;
    }
}

@media only screen and (max-width:400px) {
    #snackbar {
        font-size: 11px;
    }

    .frame-snackbar {
        padding: 10px;
    }

    .percent {
        height: 20px;
    }

    .percent p {
        font-size: 12px;
        transform: translateY(10px);
    }

    .extragacor {
        width: 77px;
    }

    .hijau,
    .lihat {
        font-size: 3vw;
    }

    .frame-pola {
        font-size: 3vw;
    }

    .nama_game {
        font-size: 2.5vw;
    }

    .lihat {
        margin: 7px 0 2px 0;
    }

    .item-img-game {
        border-width: 5px;
        width: 170px;
        height: 170px;
    }

    .nama_game,
    .percent,
    .see {
        border-width: 5px;
    }

    .status {
        font-size: 8px;
    }

    .statusgacor {
        min-width: 0;
    }

    .menu-list-daftar,
    .menu-list-right,
    .menu-list-left {
        padding: 6px 0;
        font-size: 12px;
    }

    .ribbonkecil {
        left: 0px;
        top: 17px;
    }

    .miring {
        margin-top: 1px;
    }

    .flow {
        height: 17.8px
    }

    .event {
        font-size: 2vw;
        border-width: 5px;
    }
}

@media (max-width:375px) {
    .modal-dialog {
        width: 285px;
        margin: 100% auto;
    }

    #name-game-last {
        display: block;
        font-size: 16px;
        font-weight: 700;
    }

    #name-game-middle {
        display: none;
    }

    .maxwin-game-mobile {
        font-size: 13px;
    }

    .rate-game-mobile {
        font-size: 42px;
        line-height: 41px;
    }

    .maxwin-game-mobile {
        margin-top: -2px;
    }

    .frame-rtp-green,
    .frame-rtp-yellow {
        margin-top: 3px;
    }

    .petir-modal {
        width: 65%;
        top: -15px;
        left: -26px;
    }

    .star {
        left: 23px;
    }

    .pola-text {
        margin-top: 1px;
    }

    .rtp-live-yellow,
    .rtp-live-green,
    #persen-mobile {
        margin-left: 5px;
    }
}

@media only screen and (max-width:350px) {
    #snackbar {
        font-size: 10px;
    }

    .frame-snackbar {
        padding: 10px;
    }
}

@media only screen and (max-width:314px) {
    .extragacor {
        width: 80px;
    }

    .status {
        font-size: 7px;
    }

    .ribbonkecil {
        top: 15px;
    }

    .miring {
        margin-top: 0px;
    }

    .flow {
        height: 15.5px
    }

    .frame-pola,
    hr {
        border-width: 2px;
    }
}

.dot-loader {
    height: 20px;
    width: 20px;
    border-radius: 50%;
    position: relative;
    background-color: #ffc800;
    -webkit-animation: 1.2s scaleDown ease-in-out infinite;
    animation: 1.2s scaleDown ease-in-out infinite;
}

.dot-loader:nth-child(2) {
    margin: 0 15px;
    -webkit-animation: 1.2s scaleDown ease-in-out infinite .15555s;
    animation: 1.2s scaleDown ease-in-out infinite .15555s;
}

.dot-loader:nth-child(3) {
    -webkit-animation: 1.2s scaleDown ease-in-out infinite .300000s;
    animation: 1.2s scaleDown ease-in-out infinite .300000s;
}

@-webkit-keyframes scaleDown {

    0%,
    80%,
    100% {
        -webkit-transform: scale(0);
        transform: scale(0);
    }

    40% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
}

@keyframes scaleDown {

    0%,
    80%,
    100% {
        -webkit-transform: scale(0);
        transform: scale(0);
    }

    40% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }
}



